# MatSNESMFSetFromOptions

Sets the MatSNESMF options from the command line parameter.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode MatSNESMFSetFromOptions(Mat mat)

Collective on Mat

### Input Parameters

mat -the matrix obtained with MatCreateSNESMF()

### Options Database Keys

| -snes_mf_type | - <default,wp>
| -snes_mf_err | - square root of estimated relative error in function evaluation

-snes_mf_period -how often h is recomputed, defaults to 1, everytime

### Keywords

SNES, matrix-free, parameters

### See Also

MatCreateSNESMF(),MatSNESMFSetHHistory(),
MatSNESMFResetHHistory(), MatSNESMFKSPMonitor()

Level:advanced
Location:src/snes/mf/snesmfj.c
Index of all SNESMF routines
Table of Contents for all manual pages
Index of all manual pages